%define name gnome-nettool
%define version 2.28.0
%define release %mkrel 1

Summary: GNOME interface for networking tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libGConf2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgtop2.0-devel
BuildRequires: scrollkeeper
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
#gw libtool dep
BuildRequires: dbus-glib-devel
Conflicts: gnome-network <= 1.99.5
Provides: gnome-netinfo
Obsoletes: gnome-netinfo
#gw for dig
Requires: bind-utils
#gw for ping, ping6
Requires: iputils
Requires: whois
Requires: traceroute
Requires(post)  : scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3

%description
This is a GNOME gui for the basic networking tools like ping, whois,
traceroute and dig.

%prep
%setup -q

%build
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*[_-]??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*




%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%update_scrollkeeper
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_scrollkeeper
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO NEWS AUTHORS ChangeLog
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/icons/hicolor/*/apps/*
%dir %_datadir/omf/*
%_datadir/omf/*/*-C.omf




%changelog
* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447375
- update to new version 2.28.0

* Thu Jul 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 396538
- update to new version 2.27.4

* Wed May 20 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377929
- update to new version 2.26.2

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 363038
- new version
- fix omf file list

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356492
- new version
- update file list

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315824
- fix build deps
- update to new version 2.25.3

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 287329
- new version
- update license
- update build deps

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.22.0-3mdv2009.0
+ Revision: 246418
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183718
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89471
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63296
- new version
- drop legacy menu
- update file list


* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142149
- new version
- fix omf file list

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 98600
- Import gnome-nettool

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
- New version 2.17.4

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-1mdv2007.0
- Release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Thu Aug 03 2006 Gtz Waschk <waschk@mandriva.org> 2.15.0-3mdv2007.0
- xdg menu

* Sun Jun 04 2006 Gtz Waschk <waschk@mandriva.org> 2.15.0-2mdv2007.0
- fix buildrequires

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.0-1mdv2007.0
- Release 2.15.0

* Fri May 19 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-1mdk
- new version

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdk
- New release 2.14.1

* Thu Mar 16 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 2.13.91-1mdk
- New release 2.13.91

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 2.13.90-1mdk
- New release 2.13.90

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdk
- New release 2.13.5
- use mkrel

* Wed Oct 05 2005 Gtz Waschk <waschk@mandriva.org> 1.4.1-1mdk
- new version

* Mon Mar 07 2005 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- New release 1.2.0

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- New release 1.0.0

* Wed Sep 01 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.3-1mdk
- New release 0.99.3

* Sat Aug 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-1mdk
- add icon
- New release 0.99.2

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.1-1mdk
- fix file list
- fix description
- renamed from gnome-netinfo

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-3mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-2mdk
- fix source url
- fix buildrequires

* Thu Apr 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-1mdk
- initial package

